<template src="./template.html">

</template>

<script>
    import util from "@/utils/util";
    import footTemplate from '../footTemplate.vue';

    import { loginService } from "@/services";
    import { Toast } from "mint-ui";
    export default {
        props:{
            content:Object,
        },
        data() {
            var serverUrl = 'http://skyforest.static.elab-plus.com/temp/template23/';
            return {
                disabled:true,
                serverUrl:serverUrl,
                obj:{}

            }
        },
        created() {
            if(this.content){
                // console.log('1111');
                // console.log(val);
                this.obj=this.content;
            }
        },
        watch:{
            switchOn(val){
                if(val){
                    // console.log('1111111',this.headerTitle1)
                    // console.log('2222222222',this.obj)
                    this.$emit('com',this.obj)
                }
            },
            perviewOn(val){
                // if(val){
                    // console.log(val);
                    this.disabled=val;
                    this.isshow=!val;
                // }
            },
            // perviewOff(val){
            //     if(val){
            //         // console.log(val);
            //         this.disabled=false;
            //         this.isshow=true;
            //         // console.log(this.isshow);
            //     }
            // },
            content(val){
                console.log(val,'123465789');
                if(val){
                    // console.log('1111');
                    // console.log(val);
                    val=JSON.parse(val);
                    this.obj = val;
                }
            }


        },
        methods: {},
        components:{
            footTemplate
        }
    }
</script>

<style lang="scss" scoped>
  @import "./style.scss"
</style>
